Bug 254808 (poppler-21.04.0) - [exp-run] Upgrade graphics/poppler to 21.04.0
Summary: [exp-run] Upgrade graphics/poppler to 21.04.0
Status: Closed FIXED
Alias: poppler-21.04.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-06 08:58 UTC by Tobias C. Berner
Modified: 2021-04-16 04:32 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (2.32 KB, patch)
2021-04-06 08:58 UTC, Tobias C. Berner
no flags Details | Diff
v2 (2.34 KB, patch)
2021-04-11 05:53 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-04-06 08:58:36 UTC
Created attachment 223849 [details]
v1

Moin moin 

desktop@ would like to ask for the monthly poppler exp-run :)

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/poppler-21.04.0.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-04-09 15:35:15 UTC
Can you refresh the patch,  I have conflicts

error: patch failed: graphics/poppler/Makefile:2
error: graphics/poppler/Makefile: patch does not apply
Comment 2 Tobias C. Berner freebsd_committer 2021-04-11 05:53:31 UTC
Created attachment 224008 [details]
v2

Certainly:

v2 can be found here:
https://people.freebsd.org/~tcberner/patches/poppler-21.04.0.v1.diff


mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2021-04-12 19:01:00 UTC
Proper v2 url:
https://people.freebsd.org/~tcberner/patches/poppler-21.04.0.v2.diff
Comment 5 commit-hook freebsd_committer 2021-04-14 14:49:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9c20cc4799c31f1a9804d15bc9af0bd205837bba

commit 9c20cc4799c31f1a9804d15bc9af0bd205837bba
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-04-14 14:48:25 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-04-14 14:48:25 +0000

    print/scribus-devel: prepare for graphics/poppler 21.04

    Add upstream patch to fix build with the newly released poppler 21.04

     PR:            254808
    Obtained from:  Arch Linux

 print/scribus-devel/files/patch-poppler-21.04 (new) | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
Comment 6 Tobias C. Berner freebsd_committer 2021-04-16 04:32:43 UTC
Committed in 
https://cgit.freebsd.org/ports/commit/?id=2f973a2955686494aff30a15f18be3fa0492d9de

Thanks for the exp-run.

mfg Tobias